# Copyright (c) 2015 iXsystems, Inc.
# All rights reserved.
# This file is a part of TrueNAS
# and may not be copied and/or distributed
# without the express permission of iXsystems.

from django.conf.urls import patterns, url

urlpatterns = patterns(
    'freenasUI.failover.views',
    url(r'^status/$', 'failovers_status', name='failover_status'),
    url(r'^disabled/$', 'failover_disabled', name='failover_disabled'),
    url(r'^disabled/detail/$', 'failover_disabled_detail', name='failover_disabled_detail'),
    url(r'^takeover/$', 'takeover', name='failover_takeover'),
    url(
        r'^sync_from_peer/$',
        'failovers_sync_peer',
        {'fromto': 'from'},
        'failover_sync_from_peer',
    ),
    url(
        r'^sync_to_peer/$',
        'failovers_sync_peer',
        {'fromto': 'to'},
        'failover_sync_to_peer',
    ),
    url(
        r'^force-master/$',
        'failovers_force_master',
        name='failover_force_master',
    ),
    url(r'^waitnode/$', 'waitnode', name='failover_waitnode'),
    url(r'^hareplication/$', 'hareplication', name='storage_hareplication'),
    url(r'^ipmi/$', 'ipmi', name='failover_ipmi'),
)
